Mitől tűnik gyorsabbnak az iOS 3 az iOS 8-nál? (videó)

Bizonyára mindenki számára ismert a reszponzivitás fogalma. Amennyiben mégsem: reszponzivitás alatt értjük azt az időtartamot (szebben fogalmazva válaszidőt), ami elteltével a készülékünk reagál valamilyen felhasználói interakcióra. Ilyen interakció lehet például egy tetszőleges alkalmazás megnyitása, vagyis a rábökést követően mekkora időtartam elteltével fog elindulni a kiválasztott appunk, vagy a jobbra-balra lapozás gyorsasága az ujjmozdulatunkhoz viszonyítva.

iPhone_vs_iPhone6

Mindezt pedig azért vezettem fel, mert a cikkben található videó azt hivatott bemutatni, hogyan változott az iOS reszponzivitása az iOS 3 óta.

Tovább olvasom

iSamurai iPhone szerviz akció

6 éve, hogy letölthettük az első alkalmazásokat az App Store-ból

Ma pontosan 6 éve annak, hogy megjelent az iPhone OS 2.0, és így elérhetővé vált az App Store, ezáltal egy teljesen új lehetőséget kínálva mind a fejlesztők, mind pedig a felhasználók részére. Az indulás napján az App Store összesen csak 500 külső fejlesztő által készített alkalmazást tartalmazott, ami akkoriban még egy óriási számnak tűnt.

cover

Az iPhoneOS 2.0 ráadásul az első generációs iPod touch esetén fizetős frissítés volt, $9.95-öt kellett kifizetni annak az iTunes-ban, aki ilyen típusú készülékét frissíteni szerette volna. Ez a fizetési kritérium megmaradt ezen készülékek esetén az iPhone OS 3.x alatt is, igaz, addigra már az ár jelentősen csökkent, $4.95-re. Ugyanakkor az App Store sokak számára csábító volt, így frissítettek is. Lássuk, miért!

Tovább olvasom

iSamurai iPhone szerviz akció

BpMenetrend iPhone 3GS-nél régebbi készülékekre – iOS 3.x és 4.x-re

A BpMenetrend egy ideje nem támogatja már az iPhone 3G-t, pláne nem az első generációs iPhone-t. Ez nem gond akkor, ha korábban lementettük az app 1.1.8-as verzióját, ami még működött ezeken. Viszont mit tegyenek azok, akiknek nincs meg az 1.1.8? Számukra kínálunk megoldást az alábbi cikkben.

BpMenetrend_3.x_4.x

Az Apple üzleti modellje nem teszi lehetővé, hogy egy adott app korábbi verzióját letölthessük az App Store-ból, így mindig csak az aktuálisan legfrissebb az, ami elérhető. A BpMenetrend 1.1.10-es verziójának már iOS 4.3 volt az alapkövetelménye, majd a most elérhető legfrissebb, 1.5.2 már iOS 5.0-t igényel, ezért nem telepíthető iPhone 3GS előtti eszközökre. Így az ilyen készülékeket használóknak résen kellett lenniük, és ha el is veszett az iTunes könyvtárából az app, de a készüléken még telepítve volt, akkor a vásárlások átvitele menüpont visszamásolta azt a készülékről a számítógépre, és így lehetett készíteni róla egy biztonsági másolatot is.

Ha valaki viszont bármilyen módon elvesztette az 1.1.8-as verziójú app IPA fájlját, és a készülékéről is sikerült bárhogy törölni, azok számára nem igazán volt megoldás, hogy feltelepíthessék. Mostanáig.

Az elmúlt néhány napban egyeztettem az app fejlesztőivel, és engedélyt kértem tőlük arra, hogy elérhetővé tehessük a BpMenetrend 1.1.8-as, tehát az iPhone 3GS-nél korábbi eszközökön futó verzióját bárki számára, aki régebbi típusú készüléket használ. Korábban volt pár frissítési hiba is a régi eszközökön, amikor azok az adatbázis frissítése helyett mindenképp az appot magát szerették volna frissíteni, de azt szotyival karöltve már kiküszöböltük.

BpMenetrend 3.x-4.x-re

A csomag elsősorban tehát azok számára lehet hasznos, akik szeretnék használni az egyébként ingyenes alkalmazást, de az eredeti IPA hiányában azt nem tudják feltelepíteni a készülékükre. Emellett fontosnak tartottuk elkészítésekor azt is, hogy mindenképp a fejlesztők hozzájárulásával tehessük ezt közzé, ráadásul úgy, hogy a csomag telepítéséhez semmi olyasmire ne legyen szükség, ami warezoláshoz vezet. Mivel azonban az Apple-nél minden futtatható kód aláírással kell rendelkezzen alapesetben, így a csomag telepítéséhez jailbreak mindenképp szükséges.

BpMenetrend_3.x-4.x_01 BpMenetrend_3.x-4.x_02

(Arról már számtalanszor írtunk, hogy a jailbreak miért nem egyenlő a warezzal, de köszönhetően annak, hogy sok helyen ezt rendszeresen és következetesen összemossák, valamint mivel a felhasználók egy része kizárólag a warez miatt jailbreakel, ez a közhiedelem továbbra is tartja magát. Erről bővebben: Jailbreak – tények és tévhitek)

Az alkalmazásba egyúttal a 2013. június 22-i adatbázist is beletettük, így ameddig az nem frissül ismét, addig abból is a legújabb van benne.

A csomag csak 3.1.3 és 4.2.1 közötti rendszerekre telepíthető, a BpMenetrend 1.1.8 alapkövetelménye pedig 3.0, de mivel a 3.1.3 gond nélkül jailbreakelhető, így csak azt támogatjuk a 3.x-es rendszerekből, mint legfrissebbet. Mivel az iPhone 3GS és újabb típusú készülékek pedig frissíthetőek legalább iOS 5-re, így az app jelenlegi verziója is elérhető rájuk, ezért ezeket a készülékeket sem támogatjuk:

BpMenetrend_nem_kompatibilis

iPhone 3GS vagy újabb készülékekre tehát töltsük le az appot az App Store-ból:

  • Méret: 0 MB | Verzió:
  • Ár: | Értékelés:

Ismert hibák

Több készülék és iOS verzió alapján azt tapasztaltuk, hogy kizárólag iOS 3.1.3 esetén a Cydia a csomag törlése után a SpringBoard újraindítását kéri, noha a csomag maga ilyesmire nem utasítja. 3.1.3 alatt viszont valami nem jól működik a Cydiában, ezért a respring eredménye az, hogy csak pörög a kijelző közepén a kis folyamatjelző, de nem indul újra a SpringBoard. Erre az a megoldás, hogy hardresettel újra kell indítani a rendszert, majd miután ismét betöltött, és elindítjuk a Cydiát, az rá fog kérdezni, hogy eltávolítsa-e a félig telepített csomagot (forcibly clear). Ezt az opciót választva pedig már eltávolítja, ahogy kell. Ez a hiba csak 3.1.3 esetén, és csak a törléskor jelentkezik; természetesen frissíteni fogjuk a csomagot, ha találtunk rá megoldást.

Letöltés

A csomag a Szifon.com source-ról telepíthető, keressétek a BpMenetrend 3.x-4.x-re csomagot.

Ha bármi egyéb problémát tapasztaltok, kérjük, jelezzétek nekünk hozzászólásban!

iSamurai iPhone szerviz akció